Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.gen
Class FIFInterpreterGenerator

    java.lang.Object
      avrora.core.isdl.ast.StmtVisitor.DepthFirst
          avrora.core.isdl.gen.InterpreterGenerator
              avrora.core.isdl.gen.FIFInterpreterGenerator

All Implemented Interfaces:
  Architecture.EncodingVisitor, Architecture.InstrVisitor, Architecture.OperandVisitor, Architecture.SubroutineVisitor, Architecture.Visitor, StmtVisitor

public class FIFInterpreterGenerator
extends InterpreterGenerator

Nested Class Summary
`protected class` | `FIFInterpreterGenerator.FIFBuilderEmitter`

Nested classes inherited from class avrora.core.isdl.gen.InterpreterGenerator
`InterpreterGenerator.CodeGenerator, InterpreterGenerator.GetterSetterMap, InterpreterGenerator.IORegMap, InterpreterGenerator.MapRep`

Nested classes inherited from class avrora.core.isdl.ast.StmtVisitor
`StmtVisitor.DepthFirst`

Field Summary

Fields inherited from class avrora.core.isdl.gen.InterpreterGenerator
`architecture, codeGen, mapMap, operandMap, printer`

Constructor Summary
`FIFInterpreterGenerator(Architecture a, Printer p)`

Method Summary
`void` | `generateCode()`
`protected java.lang.String` | `getVariable(Token var)`
`protected void` | `initializeOperandMap(CodeRegion cr)`
`void` | `visit(InstrDecl d)`
`void` | `visit(VarAssignStmt s)`

Methods inherited from class avrora.core.isdl.gen.InterpreterGenerator
`andString, emitAnd, emitBinOp, emitCall, emitCall, emitCall, getBitRangeMask, getInverseBitRangeMask, getMapRep, getSingleBitMask, getSingleInverseBitMask, initializeMaps, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class avrora.core.isdl.ast.StmtVisitor.DepthFirst
`visitStmtList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FIFInterpreterGenerator

    public FIFInterpreterGenerator(Architecture a,
                                   Printer p)

Method Detail

### generateCode

    public void generateCode()

  Overrides:
    `generateCode` in class `InterpreterGenerator`

### visit

    public void visit(InstrDecl d)

  Specified by:
    `visit` in interface `Architecture.InstrVisitor`
  Overrides:
    `visit` in class `InterpreterGenerator`

### visit

    public void visit(VarAssignStmt s)

  Specified by:
    `visit` in interface `StmtVisitor`
  Overrides:
    `visit` in class `InterpreterGenerator`

### initializeOperandMap

    protected void initializeOperandMap(CodeRegion cr)

  Overrides:
    `initializeOperandMap` in class `InterpreterGenerator`

### getVariable

    protected java.lang.String getVariable(Token var)

  Overrides:
    `getVariable` in class `InterpreterGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD